<?php

session_start();
require "config.php";

// Step 1: Poll options
function step1() {
	$form  = '
	<form action="index.php" method="post">
		<fieldset><legend>Poll options (step 1 of 2)</legend>
			<i>Provide a meaningful title and more detailed information in the description. In step 2 (press Next) you will fill in the e-mail addresses of the chosen number of participants.</i><br /><br />
			<label for="title">Title:</label><br /> 
			<input id="title" name="title" type="text" /><br />
			<label for="description">Description:</label><br />
			<textarea id="description" name="description" rows="2" cols="1"></textarea><br />
			<label for="author">Your name:</label><br /> 
			<input id="author" name="author" type="text" /><br />
			<label for="author_email">Your e-mail:</label><br /> 
			<input id="author_email" name="author_email" type="text" /><br />
			<label for="recipients">Number of participants:</label><br />
			<select id="recipients" name="participants" class="option">
				<option value=""></option>
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
				<option value="10">10</option>
			</select><br />
			
            <label>Voting options/candidates:</label><br />
			<label for="option1">Option 1:</label><input id="option1" name="option1" type="text" class="horizontal" /><br />
			<label for="option2">Option 2:</label><input id="option2" name="option2" type="text" class="horizontal" /><br />
			<label for="option2">Option 3:</label><input id="option3" name="option3" type="text" class="horizontal" /><br />
			<label for="option2">Option 4:</label><input id="option4" name="option4" type="text" class="horizontal" /><br />
			<label for="option2">Option 5:</label><input id="option5" name="option5" type="text" class="horizontal" /><br />
			<label for="option2">Option 6:</label><input id="option6" name="option6" type="text" class="horizontal" /><br />
			<label for="option2">Option 7:</label><input id="option7" name="option7" type="text" class="horizontal" /><br />
			<label for="option2">Option 8:</label><input id="option8" name="option8" type="text" class="horizontal" /><br />
			<label for="option2">Option 9:</label><input id="option9" name="option9" type="text" class="horizontal" /><br /><br />
			
			<input type="submit" value="Next" class="button" />
		</fieldset>
	</form>';
	
	return $form;
}

// Temporary storage of the values form step 1
function save_step1() {
	$_SESSION["title"] = $_POST["title"];
	$_SESSION["description"] = $_POST["description"];
	$_SESSION["author"] = $_POST["author"];
    $_SESSION["author_email"] = $_POST["author_email"];
	$_SESSION["participants"] = $_POST["participants"];
	$options = "";
	for ($i=1; $i<=9; $i++) {
		if ($_POST["option$i"] != null) {
			$options = $options . $_POST["option$i"] . ";";
		}
	}
	$_SESSION["options"] = $options;
}

// Step 2: Participants 
function step2() {
	// Create as many input fields as there are participants
	$input_fields = "";
	for($i=1; $i<=$_SESSION["participants"]; $i++) {
		$input_fields = $input_fields . '<label for="email'. $i . '">Participant ' . $i . ' e-mail:</label><input id="email' . $i . '" name="email' . $i . '" type="text" class="email" /><br />';
	}
	
	$form1  = '
	<form action="process.php" method="post">
		<fieldset><legend>Participants (step 2 of 2)</legend>
			<i>Fill in the e-mail address of all persons participating in the poll.</i><br /><br />';

	$form2 ='<br /><input type="submit" value="Submit" class="button" />
		</fieldset>
	</form>';
	$form = $form1 . $input_fields . $form2;
	
	return $form;
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title>Secure Multiparty Voting</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<link href="style.css" rel="stylesheet" />
</head>

<body>
	<div id="header">
        <table class="table">
            <tr>
                <td><img src="images/e-voting.gif" alt="" class="image" /></td>
                <td><span class="header">Secure Multiparty Voting</span></td>
            </tr>
        </table>
	</div>
	
	<div id="content">
		<?php
			if (isset($_POST["title"])) {
				save_step1();
				echo step2();
			}
			else {
				echo step1();
			}
		?>
	</div>
    
    <div id="bottom">
        <p>
            <a href="http://validator.w3.org/check?uri=referer">
                <img src="http://www.w3.org/Icons/valid-xhtml10-blue" alt="Valid XHTML 1.0 Transitional" height="31" width="88" />
            </a>
            <a href="http://jigsaw.w3.org/css-validator/check/referer">
                <img style="border:0;width:88px;height:31px" src="http://jigsaw.w3.org/css-validator/images/vcss-blue" alt="Valid CSS!" />
            </a>
        </p>
    </div>
</body>

</html>